Migrating 3.2 to 3.3,SVN Client/Connector mismatch

mken
Posts: 2
Joined: Fri Mar 28, 2008 8:03 pm

Migrating 3.2 to 3.3,SVN Client/Connector mismatch

Postby mken » Fri Mar 28, 2008 9:14 pm

I was migrating from eclipse 3.2 to 3.3 (on Win XP) and having problems getting subclipse to recognise old subclipse SVN projects. I thought I'd post this to save time and effort for others having this problem.

In Eclipse 3.2 Preferences the SVN Client was Native JavaHL svn 1.4.5 -
In Eclipse 3.3 Prefs the SVN Connector was SVNKit 1.4.4 as the default

Once I set the SVN Connector to be Native JavaHL svn 1.4.5 for Eclipse 3.3 everything seems to work fine.

The latest subversive version installs SVNKit as the default, the old version perhaps installed Native JavaHL as default etc.
It might be an idea to at keep to one default or the other, or somehow print a message to the screen about this problem or resolve it in the background?

BTW, NOTE: I did try to export and import SVN preferences from 3.2 to 3.3 before doing all of this, but the file was reported to be an "empty list" on import - it was not empty. This could be a bug?

This was the log message resulting from the mismatched SVN connectors:

!ENTRY org.eclipse.team.core 4 0 2008-03-28 20:38:56.812
!MESSAGE Could not instantiate provider org.polarion.team.svn.core.svnnature for project RRRRR - grabber.
!STACK 1
org.eclipse.team.core.TeamException: Could not instantiate provider org.polarion.team.svn.core.svnnature for project RRRRR - grabber.
at org.eclipse.team.core.RepositoryProvider.mapNewProvider(RepositoryProvider.java:165)
at org.eclipse.team.core.RepositoryProvider.mapExistingProvider(RepositoryProvider.java:235)
at org.eclipse.team.core.RepositoryProvider.getProvider(RepositoryProvider.java:507)
at org.eclipse.team.svn.core.SVNTeamPlugin$2.runInWorkspace(SVNTeamPlugin.java:162)
at org.eclipse.core.internal.resources.InternalWorkspaceJob.run(InternalWorkspaceJob.java:38)
at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
!SUBENTRY 1 org.eclipse.team.core 4 0 2008-03-28 20:38:56.812
!MESSAGE Could not instantiate provider org.polarion.team.svn.core.svnnature for project RRRRR - grabber.

mken
Posts: 2
Joined: Fri Mar 28, 2008 8:03 pm

subclipse should be subversive of course!

Postby mken » Sun Mar 30, 2008 10:46 am

in the above post subclipse should be subversive of course!


Return to “Polarion Subversive - Eclipse Client for SVN”

Who is online

Users browsing this forum: No registered users and 2 guests